# $Revision: 1.3 $, $Date: 2002/09/09 22:41:31 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	GTop
Summary:	GTop - Perl interface to libgtop
Summary(pl):	GTOP - perlowy interfejs do libgtop
Name:		perl-GTop
Version:	0.10
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
BuildRequires:	libgtop-devel
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is a Perl interface to libgtop:
http://home-of-linux.org/gnome/libgtop/

See also: Stas Bekman's Apache::VMonitor
http://www.cpan.org/modules/by-module/Apache/

%description -l pl
Ten pakiet jest perlowym interfejsem do libgtop:
http://home-of-linux.org/gnome/libgtop/

Warto zobaczy take Apache::VMonitor Stasa Bekmana:
http://www.cpan.org/modules/by-module/Apache/

%prep
%setup -q -n %{pdir}-%{version}

%build
  GTOP_LIB=`libgtop-config --libs | perl -we '<>=~/^-L(\S+)/&&print $1'` \
  GTOP_INCLUDE=`libgtop-config --cflags | perl -we '<>=~/^-I(\S+)/&&print $1'` \
perl Makefile.PL

%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitearch}/*.pm
%{perl_sitearch}/GTop
%dir %{perl_sitearch}/auto/GTop
%attr(755,root,root) %{perl_sitearch}/auto/GTop/*.so
%{perl_sitearch}/auto/GTop/*.bs
%dir %{perl_sitearch}/auto/GTop/Server
%attr(755,root,root) %{perl_sitearch}/auto/GTop/Server/*.so
%{perl_sitearch}/auto/GTop/Server/*.bs
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-GTop.spec,v $
Revision 1.3  2002/09/09 22:41:31  qboosh
- pl description, release 3

Revision 1.2  2002/09/04 11:18:37  radek
- it's not noarch; release++
STBR

Revision 1.1  2002/09/04 08:44:19  radek
- new, STBR
